.\" $FreeBSD: src/share/man/man4/su.4,v 1.5.2.5 1999/09/05 11:26:57 peter Exp $
.\" Copyright (c) 1996
.\"	Julian Elischer <julian@freebsd.org>.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\"
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd August 27, 1993
.Dt SU 4
.Os FreeBSD
.Sh NAME
.Nm su
.Nd scsi user-level driver
.Sh SYNOPSIS
.Cd "pseudo-device su"
.Sh DESCRIPTION
The
.Nm su
driver provides support for a 
process to address arbitrary locations on the scsi bus. Minor
numbers are mapped 1:1 to bus:target:lun. The lowest three bits being LUN
and the next three bits being TARGET. Remaining bits are the bus number.
.Pp
A scsi adapter must also be separately configured into the system
before this driver makes sense.
.Pp
.Sh KERNEL CONFIGURATION
There are no configuration parameters for the su option. It's either there
or it's not.

.Pp
.Sh IOCTLS
The 
.Nm
driver has no ioctls of it's own but rather acts as a medium for the
generic 
.Xr scsi 4
ioctls. These are described in
.Em sys/scsiio.h.


.Sh FILES
.Bl -tag -width /dev/su0-0-0XXXXXXXXXXX -compact
.It Pa /dev/su[0-9]-[0-7]-[0-7]
su{x}-{y}-{z} is the su device for the device at bus x, target y, lun z
.El
.Sh DIAGNOSTICS
All
.Xr scsi 4
debug ioctls work on 
.Nm
devices.
.Sh SEE ALSO
.Xr cd 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr ssc 4 ,
.Xr st 4 ,
.Xr uk 4
.Sh HISTORY
The
.Nm
driver appeared in 386BSD 0.1.
